[th-grails-user] รบกวนสอบถามหน่อยครับ grails-1.2.2 กับ aegis ครับ

4 views
Skip to first unread message

ohchu...@gmail.com

unread,
Apr 30, 2010, 11:50:24 PM4/30/10
to กลุ่มผู้ใช้เกรลส์ในไทย
ก่อนหน้านี้ผมใช้ grails-1.1.2 แล้วลองเปลี่ยนมาใช้ grails-1.2.2 พอ run-
app ก็มี error ดังข้างล่างครับ รบกวนผู้รู้ช่วยชี้แนะด้วยครับ

Caused by:
org.codehaus.groovy.control.MultipleCompilationErrorsException:
startup failed, Comp
ile error during compilation with javac.
C:\Documents and Settings\ohmaha\.grails\1.2.2\projects\intanon\plugins
\acegi-0.5.1\src\java\or
g\codehaus\groovy\grails\plugins\springsecurity
\SecurityAnnotationAttributes.java:25: package o
rg.springframework.metadata does not exist
import org.springframework.metadata.Attributes;
^
C:\Documents and Settings\ohmaha\.grails\1.2.2\projects\intanon\plugins
\acegi-0.5.1\src\java\or
g\codehaus\groovy\grails\plugins\springsecurity
\SecurityAnnotationAttributes.java:35: cannot fi
nd symbol
symbol: class Attributes
public class SecurityAnnotationAttributes implements Attributes {
^
Note: C:\Documents and Settings\ohmaha\.grails\1.2.2\projects\intanon
\plugins\acegi-0.5.1\src\j
ava\org\codehaus\groovy\grails\plugins\springsecurity\ldap
\GrailsLdapUser.java uses or override
s a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
2 errors


1 error

at
org.codehaus.groovy.control.ErrorCollector.failIfErrors(ErrorCollector.java:
296)
at
org.codehaus.groovy.control.ErrorCollector.addFatalError(ErrorCollector.java:
143)
at
org.codehaus.groovy.tools.javac.JavacJavaCompiler.addJavacError(JavacJavaCompiler.ja
va:92)
at
org.codehaus.groovy.tools.javac.JavacJavaCompiler.compile(JavacJavaCompiler.java:
71)

at
org.codehaus.groovy.tools.javac.JavaAwareCompilationUnit.gotoPhase(JavaAwareCompilat
ionUnit.java:89)
at
org.codehaus.groovy.control.CompilationUnit.compile(CompilationUnit.java:
476)
at
org.codehaus.groovy.control.CompilationUnit.compile(CompilationUnit.java:
450)
at
org.codehaus.groovy.tools.FileSystemCompiler.compile(FileSystemCompiler.java:
57)
at
org.codehaus.groovy.tools.FileSystemCompiler.doCompilation(FileSystemCompiler.java:
1
70)
at org.codehaus.groovy.ant.Groovyc.compile(Groovyc.java:816)
... 26 more
--- Nested Exception ---
org.codehaus.groovy.control.MultipleCompilationErrorsException:
startup failed, Compile error d
uring compilation with javac.
C:\Documents and Settings\ohmaha\.grails\1.2.2\projects\intanon\plugins
\acegi-0.5.1\src\java\or
g\codehaus\groovy\grails\plugins\springsecurity
\SecurityAnnotationAttributes.java:25: package o
rg.springframework.metadata does not exist
import org.springframework.metadata.Attributes;
^
C:\Documents and Settings\ohmaha\.grails\1.2.2\projects\intanon\plugins
\acegi-0.5.1\src\java\or
g\codehaus\groovy\grails\plugins\springsecurity
\SecurityAnnotationAttributes.java:35: cannot fi
nd symbol
symbol: class Attributes
public class SecurityAnnotationAttributes implements Attributes {
^
Note: C:\Documents and Settings\ohmaha\.grails\1.2.2\projects\intanon
\plugins\acegi-0.5.1\src\j
ava\org\codehaus\groovy\grails\plugins\springsecurity\ldap
\GrailsLdapUser.java uses or override
s a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

tue2551

unread,
May 18, 2010, 10:52:13 PM5/18/10
to กลุ่มผู้ใช้เกรลส์ในไทย
ถ้าลองถอด uninstall-plugin acegi ออกแล้ว run ดูจะได้หรือเปล่าครับ...
...หรือค่อย install-plugin เข้าไปใหม่ครับ.
เพราะ plugin ตัวนี้มักจะมีปัญหาเวลาเปลี่ยน version ของ grails
ใหม่ครับ.
Reply all
Reply to author
Forward
0 new messages